# Report

## List definition

Any report resource returned by a `list` request will contain the following properties:

```javascript
{
    "kind": "report",
    "id": string,
    "uri": string,
    "url": string,
    "qualifiedReference": string,
    "scopedReference": string,
    "referenceId": string,
    "createdAt": integer,
    "updatedAt": integer,
    "name": string,
}
```

## Documentation

<table><thead><tr><th>Fields</th><th>Description</th></tr></thead><tbody><tr><td>kind</td><td><p><strong>string</strong></p><p>The resource type. Will always be "report".</p></td></tr><tr><td>id</td><td><strong>string</strong><br>A unique, persistent identifier for the report.</td></tr><tr><td>uri</td><td><p><strong>string</strong></p><p>The fully qualified URI of this report, for use in generating calls to this API. </p><p>For example, <code>/reports/demo.my_report:prpw</code></p></td></tr><tr><td>url</td><td><p><strong>string</strong></p><p>The report's discoverable url.</p></td></tr><tr><td>qualifiedReference</td><td><p><strong>string</strong></p><p>The <a href="/pages/-LzsPrAlHWxazTnhQQJE">fully qualified reference</a> to this report, for use in the <a href="/pages/v3OyeNDlq3ks1FKZFMnz">report.download</a> API endpoint </p><p>For example,</p><pre class="language-http"><code class="lang-http">demo.my_report:prpw
</code></pre></td></tr><tr><td>scopedReference</td><td><p><strong>string</strong></p><p>The canonical reference for the report, without any qualifiers. E.g., <code>my_report:prpw</code></p></td></tr><tr><td>referenceId</td><td><strong>string</strong><br>A persistent, 4-character identifier for this report. Will always be unique across all reports within an organization / institution.</td></tr><tr><td>createdAt</td><td><p><strong>integer</strong></p><p>When the report was created. Stored as milliseconds since the epoch (1970-01-01).</p></td></tr><tr><td>updatedAt</td><td><p><strong>integer</strong></p><p>When the report was last updated. Stored as milliseconds since the epoch (1970-01-01).</p></td></tr><tr><td>name</td><td><p><strong>string</strong></p><p>The name of the report. Will only contain alphanumeric and underscore characters.</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/resource-definitions/report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
